package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.CoChargingConfig;

import java.util.List;

/**
 * 商户能源计费配置Service接口
 *
 * @author ruoyi
 * @date 2024-08-26
 */
public interface ICoChargingConfigService {
    /**
     * 查询商户能源计费配置
     *
     * @param id 商户能源计费配置主键
     * @return 商户能源计费配置
     */
    CoChargingConfig selectCoChargingConfigById(Long id);

    /**
     * 查询商户能源计费配置
     *
     * @param areaCode 服务区编号
     * @return 商户能源计费配置
     */
    CoChargingConfig selectByArea(String areaCode);

    /**
     * 查询商户能源计费配置列表
     *
     * @param coChargingConfig 商户能源计费配置
     * @return 商户能源计费配置集合
     */
    List<CoChargingConfig> selectCoChargingConfigList(CoChargingConfig coChargingConfig);

    /**
     * 新增商户能源计费配置
     *
     * @param coChargingConfig 商户能源计费配置
     * @return 结果
     */
    int insertCoChargingConfig(CoChargingConfig coChargingConfig);

    /**
     * 修改商户能源计费配置
     *
     * @param coChargingConfig 商户能源计费配置
     * @return 结果
     */
    int updateCoChargingConfig(CoChargingConfig coChargingConfig);

    /**
     * 批量删除商户能源计费配置
     *
     * @param ids 需要删除的商户能源计费配置主键集合
     * @return 结果
     */
    int deleteCoChargingConfigByIds(Long[] ids);

    /**
     * 删除商户能源计费配置信息
     *
     * @param id 商户能源计费配置主键
     * @return 结果
     */
    int deleteCoChargingConfigById(Long id);
}
